<?php
  require_once('wp-greet-box.php');

  if(sizeof($messages) > 0){
    echo(
      '<h3>Active Custom Messages</h3>'.
      '<div id="wpgb_active_messages" class="wpgb_wide">'.
        '<div class="wpgb_admin_header">'.
          '<div class="wpgb_admin_column_referrer">Referrer</div>'.
          '<div class="wpgb_admin_column_icon">Icon</div>'.
          '<div class="wpgb_admin_column_message">Message</div>'.
          '<div class="wpgb_admin_column_action">Action</div>'.
        '</div>'.
        '<div class="clear"></div>'
    );
    if(!$message_default['disable']){
      wpgb::display_default_row('default');
    }
    if(!$message_noscript['disable']){
      wpgb::display_default_row('noscript');
    }
    foreach($messages as $id => $message){
      if(!$message['disable']){
        wpgb::display_message_row($id);
      }
    }
    echo(
      '</div>'
    );
  }

  if(sizeof($messages) > 0){
    echo(
      '<div class="clear"></div><br/>'.
      '<h3>Inactive Custom Messages</h3>'.
      '<div id="wpgb_inactive_messages" class="wpgb_wide">'.
        '<div class="wpgb_admin_header">'.
          '<div class="wpgb_admin_column_referrer">Referrer</div>'.
          '<div class="wpgb_admin_column_icon">Icon</div>'.
          '<div class="wpgb_admin_column_message">Message</div>'.
          '<div class="wpgb_admin_column_action">Action</div>'.
        '</div>'.
        '<div class="clear"></div>'
    );
    if($message_default['disable']){
      wpgb::display_default_row('default');
    }
    if($message_noscript['disable']){
      wpgb::display_default_row('noscript');
    }
    foreach($messages as $id => $message){
      if($message['disable']){
        wpgb::display_message_row($id);
      }
    }
    echo(
      '</div>'.
      '<div class="clear"></div>'
    );
  }
  echo(
      '<h3>Add New Custom Messages</h3>'.
      '<div class="wpgb_admin_new_wrapper">'.
      '<div id="wpgb_message_view_new" class="wpgb_admin_message_view" style="display:block">'.
        '<form id="wpgb_custom_message_form_new" action="index.php" method="post">'.
          'Referrer URL:<br/>'.
          '<input name="wpgb_message[referrer]" type="text" class="wpgb_focusable" value=""/><br/><br/>'.
          'Visitor Timeout (minutes):<br/>'.
          '<input name="wpgb_message[timeout]" type="text" class="wpgb_focusable" value="0"/><br/><br/>'.
          'Greeting Icon (optional):'.
          '<input name="wpgb_message[icon]" type="text" class="wpgb_focusable wpgb_wide" value="'.$message_default['icon'].'"/><br/><br/>'.
          'Greeting message:'.
          '<textarea name="wpgb_message[text]" class="wpgb_focusable wpgb_wide" rows="4">'.$message_default['text'].'</textarea><br/><br/>'.
          // '<input name="wpgb_message[disable]" type="checkbox"/> Disable this message<br/>'.
          '<input name="wpgb_message[disable]" type="hidden" value="off"/>'.
          '<p class="submit">'.
            '<input type="submit" class="wpgb_admin_submit" entry="new" value="Add" />'.
          '</p>'.
          '<input type="hidden" name="wpgb_action" value="add"/>'.
        '</form>'.
      '</div>'.
      '</div>'.
      '<br/><br/>'
  );
?>
