jQuery(document).ready(function($){
  // action link clicks
  $("a.wpgb_admin_action").livequery("click", function(e){
    e.preventDefault();
    a = this;
    if ($(a).is(".confirm") && !confirm($(a).attr("prompt")))
    {
      return false;
    }
    
    var id     = $(a).attr("entry");
    var action = $(a).attr("action");

    if(action == "cancel"){
      $(a).html("Edit").attr("action", "edit");
      $("#wpgb_message_view_" + id).slideUp("fast");
      $("#wpgb_message_row_" + id).fadeTo("fast", 1);
    }
    else{
      $("#wpgb_message_view_loading_" + id).fadeIn("fast", function(){
        $("#wpgb_message_view_" + id).hide();
        $.ajax({
          type  : "POST",
          url   : "index.php",
          data  : "wpgb_action=" + action + "&wpgb_id=" + id,
          success  : function(resp){
            switch(action){
              case "activate":
                $(a).html("Deactivate").attr("action", "deactivate");
                $("#wpgb_message_" + id).removeClass("wpgb_admin_inactive_message").addClass("wpgb_admin_active_message");
                $("#wpgb_message_" + id).appendTo($("#wpgb_active_messages"));
                $("#wpgb_message_row_" + id).fadeTo("slow", 1);
                $("a.wpgb_admin_action[action='cancel'][entry='" + id + "']").html("Edit").attr("action", "edit");
                break;
              case "deactivate":
                $(a).html("Activate").attr("action", "activate");
                $("#wpgb_message_" + id).removeClass("wpgb_admin_active_message").addClass("wpgb_admin_inactive_message");
                $("#wpgb_message_" + id).appendTo($("#wpgb_inactive_messages"));
                $("#wpgb_message_row_" + id).fadeTo("slow", 1);
                $("a.wpgb_admin_action[action='cancel'][entry='" + id + "']").html("Edit").attr("action", "edit");
                break;
              case "delete":
                $("#wpgb_message_" + id).fadeOut("slow").remove();
                break;
              case "edit":
                $(a).html("Cancel").attr("action", "cancel");
                $("#wpgb_message_row_" + id).fadeTo("slow", 0.5);
                $("#wpgb_message_view_" + id).html(resp).slideDown("fast");
                // bind submit button
                $("#wpgb_custom_message_form_" + id).submit(function(e){
                  e.preventDefault();
                  f = this;
                  $.ajax({
                    type    : $(f).attr("method"),
                    url     : $(f).attr("action"),
                    data    : $(f).serialize(),
                    success : function(resp){
                      $("#wpgb_message_view_" + id).slideUp("fast");
                      $("#wpgb_message_row_" + id).html(resp).fadeTo("slow", 1);
                    },
                    error   : function(resp){
                      alert("Error:" + resp);
                    }
                  });
                });
                break;
              default:
                break;
            }
            $("#wpgb_message_view_loading_" + id).fadeOut("fast");
          },
          error : function(resp){
            alert("Error:" + resp);
          }
        });
      });
    } // end else
  });

  // cancel button clicks
  $("input.wpgb_admin_cancel").livequery("click", function(e){
    var id = $(this).attr("entry");
    $("#wpgb_message_view_" + id).slideUp("fast");
    $("#wpgb_message_row_" + id).fadeTo("fast", 1);
    $("a.wpgb_admin_action[action='cancel'][entry='" + id + "']").html("Edit").attr("action", "edit");
  });

  // add new message button
  $("#wpgb_custom_message_form_new").submit(function(e){
    e.preventDefault();
    f = this;
    $.ajax({
      type    : $(f).attr("method"),
      url     : $(f).attr("action"),
      data    : $(f).serialize(),
      success : function(resp){
        $("#wpgb_active_messages").append(resp);
        var id = $("#wpgb_active_messages").find(".wpgb_admin_action[action='delete']:last").attr("entry");
        $("#wpgb_message_row_" + id).hide().fadeIn("fast");
      },
      error   : function(resp){
        alert("Error:" + resp);
      }
    });
  });
});
