<?php require_once('wp-greet-box.php'); ?>
<h3>Instructions</h3>
<fieldset class="wpgb_fieldset wpgb_fieldset_alt">
  <ol>
    <li>Upload the plugin to your plugins folder: 'wp-content/plugins/'</li>
    <li>Activate the 'WP Greet Box' plugin from the Plugins admin panel.</li>
    <li>(optional) Go to the Options -&gt; WP Greet Box admin panel to make any customizations.</li>
    <li>Insert &lt;?php wp_greet_box() ?&gt; where you want your message displayed in your theme.</li>
    <li>Test this out by googling your site and click through to your site from google. You should see the greeting message custimized for a google visitor.</li>
  </ol>
</fieldset>
<h3>Resources</h3>
<fieldset class="wpgb_fieldset wpgb_fieldset_alt">
  <ol>
    <li>
      <p>For regular expression usage, refer to <a href="http://www.zytrax.com/tech/web/regex.htm">user guide</a> and <a href="http://www.regular-expressions.info/reference.html">reference</a>.
    </li>
  </ol>
</fieldset>
<h3>Tips on Customizing Messages</h3>
<fieldset class="wpgb_fieldset wpgb_fieldset_alt">
  <ol>
    <li>
      <p>Enter the markup for each message per referrer.  The following special tags are available.</p>
      <dl>
        <dt>[[rss-link]]</dt>
        <dd>The url of your rss feed.  You can also manually set this in the "customize display box" section.</dd>
        <dt>[[escaped-permalink]]</dt>
        <dd>The escaped version of the current page's url.</dd>
      </dl>
    </li>
    <li>
      <p>To customize the css property of the greet box, modify<br/>
        <strong><?php echo wpgb::get_plugin_dir().'/wp-greet-box.css' ?></strong>.
      </p>
    </li>
    <li>
      <p><strong>Visitor timeout</strong> is the number of minutes since the visitor's last visit until the plugin forgets the visitor.  For sites like digg.com you would want to set this setting to something small like "0", because you would want the digg.com visitor to always see the request to be dugg on every visit.  For sites like google.com you might want to set it to something higher like "1440" (1 day) because you probably do not want to nag the google visitor that much.  play around with the values to see what suits you best.<br/>
      </p>
    </li>
  </ol>
</fieldset>
